
// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class SJBM16A1
	{
		units[] = {""};
		weapons[] = {SJBM16A1};
		requiredVersion = 1.30;
	};
};

class CfgAmmo
{
	class Default {};
	class BulletSingle: Default{};
	class SJBM16A1: BulletSingle
	{
		hit= 8;
		indirectHit= 1;
		indirectHitRange= 0.40000;
		minRange=0.5;
		minRangeProbab=0.800000;
		midRange=50;
		midRangeProbab=0.350000;
		maxRange=109;
		maxRangeProbab=0.080000;
		visibleFire= 16;
		audibleFire= 16;
		visibleFireTime= 10;
	};
};

class CfgWeapons
{
	class Default {};
	class MGun: Default {};
	class Riffle: Mgun {};
	class SJBM16A1: Riffle
	{
		scopeWeapon=2;
		scopeMagazine=0;
		model="\SJBM16V3\SJBGun.p3d";
		modelOptics="optika_M16";
		picture="\SJBM16V3\w_m16.paa";
		displayName="SJBM16A1 Rifle";
		drySound[]={"weapons\M16dry",db-40,1};
		reloadMagazineSound[]={"\SJBM16V3\reload.wav",db-40,1};
		magazines[]={"SJBM16A1Mag"};
		flash="gunfire";
		flashSize=5;
		initSpeed=938;
		opticsFlare= true;
		modes[]= {"Single","Burst","Full"};
		class Single
		{
			ammo="SJBM16A1";
			multiplier=1;
			burst=1;
			displayName="SINGLE FIRE";
			dispersion=0.0002000;
			sound[]={"\SJBM16V3\bang.wav",db0,1};
			soundContinuous= 0;
			ffCount=1;
			reloadTime=0.100000;
			recoil="SJBM16A1";
			autofire=0;
			aiRateOfFire=5.0000;
			aiRateOfFireDistance = 200;
			UseAction=0;
			useActionTitle="";
		};
		class Burst
		{
			ammo="SJBM16A1";
			multiplier=1;
			burst=3;
			displayName= "BURST FIRE";
			dispersion= 0.0004000;
			sound[]={"\SJBM16V3\3roundburst.wav",db0,1};
			soundContinuous=0;
			reloadtime=0.10000;
			ffCount=3;
			recoil= "SJBM16A1";
			autoFire=0;
			aiRateofFire= 5.0000;
			aiRateOfFireDistance= 200;
				useAction= 0;
			useActionTitle= "";
		};
		class Full
		{
			ammo="SJBM16A1";
			multiplier= 1;
			burst= 1;
			displayName= "FULL AUTO";
			dispersion=0.0008000;
			sound[]={"\SJBM16V3\bang.wav",db0,1};
			soundContinuous= 0;
			reloadTime= 0.100000;
			ffCount= 3;
			recoil= "SJBM16A1";
			autoFire= 1;
			aiRateOfFire= 5.00000;
			aiRateOfFireDistance= 200;
			useAction = 0;
			useActionTitle= "";
		};

	};
	class SJBM16A1Mag: SJBM16A1
	{
		scopeWeapon=0;
		scopeMagazine=2;
		displayNameMagazine="SJB M16A1 Magazine";
		shortNameMagazine="M16A1";
		picture="\SJBM16V3\m_m16.paa";
	};
};
	class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SJBSoldierWFull:SoldierWB{
	displayName = "SJB M16A1 Assault Soldier";
	weapons[]={"SJBM16A1","NVGoggles","Throw","Put","StrokeGun","StrokeFist"};
	magazines[]={SJBM16A1Mag,SJBM16A1Mag,SJBM16A1Mag,SJBM16A1Mag,SJBM16A1Mag,SJBM16A1Mag,Handgrenade,Handgrenade};
	};
};
class CfgRecoils
{
	SJBM16A1[]= {0.04, 0.015,0.030, 0.040,0,0};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySJBM16A1: ProxyWeapon {};
};

